glab(1)

NAME
glab-runner-controller-token-create - Create a token for a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller token create [flags]

DESCRIPTION
Store the token value securely before closing the terminal. You cannot retrieve the token again.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-d, --description=""
    Description of the token.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Create a token for runner controller 42
    glab runner-controller token create 42
    # Create a token with a description
    glab runner-controller token create 42 --description "production"
    # Create a token and output as JSON
    glab runner-controller token create 42 --output json

SEE ALSO
glab-runner-controller-token(1)